System Requirements

axle requires a Mac computer running OS X 10.9 or above on a quad–core or faster Intel processor with 8GB of RAM as its server. OS X's Apache and PHP versions are also required but should already be in place as part of any standard OS X desktop install. Other versions of Apache and PHP, and other SQL databases besides PostgreSQL are not supported. Java 8 update 66 or higher must also be installed. The installer is included separately with the axle installer. Please check java.com for the latest updates.

In addition, axle requires at least a 1GB Ethernet connection to your local network, and a connection to your media storage. To access the interface, your device must be able to run current versions of Chrome, Safari, Firefox, or Internet Explorer. You will also need a storage location for the proxies axle generates. We recommend a direct-attached 2 to 6 TB storage device, but proxies can be stored on the axle server or on your central media storage using an NFS connection.

Note that OSX's Server app can not be installed. If this app has been installed, even if the features are disabled, axle will not install or work correctly. Server must be completely removed for axle to function correctly.